Summary:	A tool for adjusting the volume of wave files
Name:		normalize
Version:	0.7.7
Release:	%mkrel 25
Source0:	%{name}-%{version}.tar.bz2
Patch0:		compressed-wav-files.dpatch
Patch1:		fix-flac.dpatch
Patch2:		normalize-0.7.7-audiofile-pkgconfig.patch
Patch3:		normalize-0.7.7-m4.patch
Patch4:		normalize-0.7.7-mdv-fix-local-config.patch
Patch5:		normalize-0.7.7-automake-1.13.patch
Patch6:		normalize-autoconf.patch
License:	GPLv2+
URL:		https://normalize.nongnu.org/
Group:		Sound/Editors and Converters
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(mad)
BuildRequires:	gettext-devel
Requires:	mpg123
Requires:	vorbis-tools

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level.  This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep

%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p1 -b .automake-1_13
%patch -P 6 -p1

%build
autoreconf -fi -I m4
%configure \
	--with-audiofile \
	--disable-xmms
%make_build

%install
%make_install
%{find_lang} %{name}

%files -f %{name}.lang
%doc README NEWS THANKS TODO
%_bindir/*
%_mandir/man1/normalize*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.7.7-25.mga10
+ Revision: 2127933
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 0.7.7-24.mga9
+ Revision: 1799806
- Mageia 9 Mass Rebuild

* Thu Nov 05 2020 wally <wally> 0.7.7-23.mga8
+ Revision: 1642905
- fix build with autoconf 2.69d

* Thu Feb 13 2020 umeabot <umeabot> 0.7.7-22.mga8
+ Revision: 1515517
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.7.7-21.mga7
+ Revision: 1299785
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 luigiwalser <luigiwalser> 0.7.7-20.mga6
+ Revision: 1022563
- rebuild with fixed libmad

* Wed Jun 15 2016 zezinho <zezinho> 0.7.7-19.mga6
+ Revision: 1021502
- fix requires for normalize-mp3 and normalize-ogg

* Fri Feb 05 2016 umeabot <umeabot> 0.7.7-18.mga6
+ Revision: 938444
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.7-17.mga5
+ Revision: 746076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.7-16.mga5
+ Revision: 682916
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.7-15.mga4
+ Revision: 508301
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.7.7-13.mga3
+ Revision: 339988
- patch5: fix build with automake 1.13

* Sat Dec 01 2012 malo <malo> 0.7.7-12.mga3
+ Revision: 324500
- update RPM group

* Fri Jul 13 2012 solbu <solbu> 0.7.7-11.mga3
+ Revision: 270530
- Fixed broken local configuration
- Fix License
- Spec cleanup

* Thu Jan 12 2012 fwang <fwang> 0.7.7-10.mga2
+ Revision: 195312
- fix patch
- add gentoo patch
- add gentoo patch to fix build with latest audiofile
- rebuild for new audiofile

* Mon Feb 07 2011 mikala <mikala> 0.7.7-9.mga1
+ Revision: 48779
- imported package normalize

